!function(window, document) {
    var breakpoints = window.breakpoints || {
        	'mobile-portrait': 0,
        	'mobile-landscape': 320,
        	'small-tablet': 480,
        	'tablet': 600,
        	'desktop': 768
        },
        resizeTimer;

	r(function(){
		// little bit of regex to get the attributes
		var re = /(\S+)=["']?((?:.(?!["']?\s+(?:\S+)=|[>"']))+.)["']?/g;
		
		// loop through noscript elements
		for(var noscripts = document.getElementsByTagName('noscript'), i = noscripts.length-1; i >= 0; i--) {
			var img = '<img ';
			// loop through the element's attributes
			for (var j = 0; j < noscripts[i].attributes.length; j++) {
				var attrib = noscripts[i].attributes[j];
				if (attrib.specified == true) {
					// if it's a data attribute, use it on the resulting image
					if (attrib.name == 'data-src') {
						img += 'src="' + attrib.value.replace('rwd', getViewport() + '.rwd') + '" ';
					} else if (attrib.name.indexOf("data-")!=-1) {
						img += attrib.name.replace('data-', '') + '="' +  attrib.value + '"';
					}
			  	}
			}
			img += '/>';
			
			noscripts[i].outerHTML = img;
		}
	});
	
	if (window.addEventListener){  
		window.addEventListener('resize', onResize, false);   
	} else if (window.attachEvent){ 
		window.attachEvent('resize', onResize);  
	}
	
    function getViewport() {
    	var winWidth = currWidth(),
    		viewport;
    	
        for (var breakpoint in breakpoints) {
        	if (winWidth > breakpoints[breakpoint]) {
        		viewport = breakpoint;
        	}
        }
        
	    return viewport;
    }
    
    function replaceImages() {
		// little bit of regex to get the img src
		var re = new RegExp("(" + Object.keys(breakpoints).join('|') + ")\.rwd");
		
		// loop through
		for (var i = 0, images = document.getElementsByTagName('img'), il = images.length; i < il; i++) {
			var img = images[i],
				src	= img.getAttribute("src"),
				responsive	= src.match(/rwd/);
			
			if (responsive) {
				img.src = src.replace(re, getViewport() + '.rwd');
			}
		}
    }
    
	function onResize() {
	    clearTimeout(resizeTimer);
	    resizeTimer = setTimeout(function() {
	    	replaceImages();
	    }, 100);
	}
	
	/* utility functions */
	/* cross-browser current width */
	function currWidth() {
		var clientWidth = "clientWidth";
		return document.compatMode === "CSS1Compat" && document.documentElement[clientWidth] || document.body[clientWidth] || document.documentElement[clientWidth];
	}
	
	/* dustin diaz' "smallest domready" but replaced the eval with anon function so it doesn't lose scope */
	function r(f){/in/.test(document.readyState)?setTimeout(function(){r(f)},9):f()}
	
}(window, window.document, undefined);

/*
 * outerHTML.js
 *   Cross-browser full HTMLElement.outerHTML implementation.
 *
 * 2011-11-14
 *
 * By Eli Grey, http://eligrey.com
 * Public Domain.
 * NO WARRANTY EXPRESSED OR IMPLIED. USE AT YOUR OWN RISK.
 */

if (typeof document !== "undefined" && !("outerHTML" in document.createElementNS("http://www.w3.org/1999/xhtml", "_"))) {

(function(view) {
"use strict";

var
	  container = document.createElementNS("http://www.w3.org/1999/xhtml", "_")
	, elem_proto = (view.HTMLElement || view.Element).prototype
	, xml_serializer = new XMLSerializer
	, outerHTML_getter = function() {
		var
			  node = this
			, html
		;
		if (document.xmlVersion) {
			return xml_serializer.serializeToString(node);
		} else {
			container.appendChild(node.cloneNode(false));
			html = container.innerHTML.replace("><", ">" + node.innerHTML + "<");
			container.innerHTML = "";
			return html;
		}
	}
	, outerHTML_setter = function(html) {
		var
			  node = this
			, parent = node.parentNode
			, child
		;
		if (parent === null) {
			DOMException.code = DOMException.NOT_FOUND_ERR;
			throw DOMException;
		}
		container.innerHTML = html;
		while ((child = container.firstChild)) {
			parent.insertBefore(child, node);
		}
		parent.removeChild(node);
	}
;

if (Object.defineProperty) {
	var outerHTML_prop_desc = {
		  get: outerHTML_getter
		, set: outerHTML_setter
		, enumerable: true
		, configurable: true
	};
	try {
		Object.defineProperty(elem_proto, "outerHTML", outerHTML_prop_desc);
	} catch (ex) { // IE 8 doesn't support enumerable:true
		if (ex.number === -0x7FF5EC54) {
			outerHTML_prop_desc.enumerable = false;
			Object.defineProperty(elem_proto, "outerHTML", outerHTML_prop_desc);
		}
	}
} else if (Object.prototype.__defineGetter__ && Object.prototype.__defineSetter__) {
	elem_proto.__defineGetter__("outerHTML", outerHTML_getter);
	elem_proto.__defineSetter__("outerHTML", outerHTML_setter);
}

}(self));

}

/* Object.keys polyfill https://gist.github.com/1034464 */
Object.keys = Object.keys || 
	function ( 
		o, // object
		k, // key
		r  // result array
	){
		// initialize object and result
		r=[];
		// iterate over object keys
		for (k in o) 
			// fill result array with non-prototypical keys
			r.hasOwnProperty.call(o, k) && r.push(k);
		// return result
		return r
	}